import { AdaptableStatusBar } from '../../AdaptableState/StatusBarState';
import { StatusBarApi } from '../StatusBarApi';
import { ApiBase } from './ApiBase';
import { StatusPanelDef } from 'ag-grid-enterprise';
export declare class StatusBarApiImpl extends ApiBase implements StatusBarApi {
    getAdaptableStatusBars(): AdaptableStatusBar[];
    getAgGridStatusPanels(): StatusPanelDef[];
    setStatusBarPanels(statusPanels: AdaptableStatusBar[]): void;
}
